org.glassfish.jersey.process

## Interface Inflector<DATA,RESULT>

Type Parameters:
  `DATA` - transformable data type.
  `RESULT` - type of result produced by a successful inflector data transformation.

    public interface Inflector<DATA,RESULT>

A generic interface for transforming data into a result.

Author:
  Marek Potociar

### Method Summary

All Methods Instance Methods Abstract Methods
`RESULT` `apply(DATA data)` Transform data of a given type into a result of the different type.

### Method Detail

#### apply

    RESULT apply(DATA data)

Transform data of a given type into a result of the different type.

Parameters:
  `data` - data to be transformed into a result.
Returns:
  data transformation result. Return value must not be `null`.